using skyscraper5.Skyscraper.IO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Ietf.FLUTE
{
	internal class FecHeader
	{
		public FecHeader(MemoryStream ms)
		{
			SourceBlockNumber = ms.ReadUInt16BE();
			EncodingSymbolId = ms.ReadUInt16BE();
		}

		public ushort SourceBlockNumber { get; }
		public ushort EncodingSymbolId { get; }
	}
}
